package com.uas.cloud.mall.service.api;

import com.uas.cloud.mall.service.domain.HotComponent;
import com.uas.cloud.mall.service.service.HotComponentService;
import com.uas.cloud.mall.service.statusAndType.PageForType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yujia on 2017/3/13.
 */
@RestController
@RequestMapping("/mall-cms-service")
public class HotComponentController {

    private final HotComponentService hotComponentService;

    @Autowired
    public HotComponentController(HotComponentService hotComponentService) {
        this.hotComponentService = hotComponentService;
    }
    /**
     * 保存hotComponent
     * @param hotComponent
     * @return
     */
    @RequestMapping(value = "/hotComponent", method = RequestMethod.POST)
    public HotComponent saveHotComponent(@RequestBody HotComponent hotComponent) {
        return hotComponentService.save(hotComponent);
    }

    /**
     * 删除指定的热销器件
     * @param id
     */
    @RequestMapping(value = "/{id}", method = RequestMethod.DELETE)
    public void deleteHotComponent(@PathVariable("id") String id) {
        hotComponentService.delete(id);
    }

    /**
     * 获取指定的热销器件
     * @param id
     */
    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public HotComponent getHotComponent(@PathVariable("id") String id) {
        return hotComponentService.getHotComponent(id);
    }

    @RequestMapping(value = "/hotComponents/useFor/pageFor", method = RequestMethod.GET, produces = "application/json")
    public List<HotComponent> getHotComponentByUseForAndPageFor(@RequestParam(value = "useFor", defaultValue = "HOT_COMPONENT") String useFor, @RequestParam(value = "pageFor", defaultValue = "STORE_LIST")String pageFor) {
        return hotComponentService.getHotComponentForPageAndUseFor(useFor, pageFor);
    }

    @RequestMapping(value = "/hotComponents/test", method = RequestMethod.GET)
    public List<HotComponent> saveTest() {
        List<HotComponent> hotsCommodities = new ArrayList<HotComponent>();
        for (int i = 0; i < 10; i++) {
            HotComponent contructor = contructor();
            contructor.setDetno(i);
            hotsCommodities.add(contructor);
        }
        return hotComponentService.save(hotsCommodities);
    }

    private HotComponent contructor() {
        HotComponent hotCommodity = new HotComponent();
        hotCommodity.setImg("http://dfs.ubtob.com/group1/M00/17/98/CgpkyFjBE9yAdkkcAABoCdZo7Yk015.png");
        hotCommodity.setCode("H7N90438433");
        hotCommodity.setUseFor(HotComponent.UseForType.HOT_COMPONENT.toString());
        hotCommodity.setPageFor(PageForType.STORE_LIST.toString());
        return hotCommodity;
    }
}
