package com.uas.cloud.mall.service.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.Date;

/**
 * 内容实体类
 */
@Document(collection = "cms_content")
public class Content {

	@Id
	private String id;

	/**
	 * 模块名称
	 */
	@Field("module_name")
	private String moduleName;

	/**
	 * 标签
	 */
	private String flag;

	/**
	 * 排序
	 */
	private int order;

	/**
	 * 标题
	 */
	private String caption;

	/**
	 * 子标题
	 */
	@Field("sub_caption")
	private String subCaption;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * 文本内容
	 */
	@Field("text_content")
	private String textContent;

	/**
	 * 缩略图
	 */
	private String thumbnail;

	/**
	 * 大图
	 */
	private String image;

	/**
	 * 链接
	 */
	private String url;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 创建时间
	 */
	@Field("create_time")
	private Date createTime;

	/**
	 * 更新时间
	 */
	@Field("update_time")
	private Date updateTime;

	public Content() {
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	public int getOrder() {
		return order;
	}

	public void setOrder(int order) {
		this.order = order;
	}

	public String getCaption() {
		return caption;
	}

	public void setCaption(String caption) {
		this.caption = caption;
	}

	public String getSubCaption() {
		return subCaption;
	}

	public void setSubCaption(String subCaption) {
		this.subCaption = subCaption;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getTextContent() {
		return textContent;
	}

	public void setTextContent(String textContent) {
		this.textContent = textContent;
	}

	public String getThumbnail() {
		return thumbnail;
	}

	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
