package com.uas.cloud.mall.service.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.cloud.mall.service.util.JacksonUtils;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.Date;

/**
 * Created by yuj on 2017/3/7.
 * 在供应商列表中 销售排行榜，新入住的商家，
 * 优秀供应商类表，这些涉及到供应商信息供应一张表
 */
@Document(collection = "cms_store")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class StoreCms {

    @Id
    private String id;

    /**
     * 店铺enuu
     */
    @Field(value = "store_enuu")
    private Long enuu;

    /**
     * 店铺名称
     */
    @Field(value = "store_name")
    private String enterName;

    /**
     * 主营分类
     */
    @Field(value = "store_subject_category")
    private String subjectCategory;

    /**
     * 主营品牌
     */
    @Field(value = "store_subject_brand")
    private String subjectBrand;

    /**
     * 公司简介
     */
    @Field(value = "store_description")
    private String description;

    /**
     * 公司图片
     */
    @Field(value = "store_img")
    private String img;

    /**
     * 创建时间
     */
    @Field(value = "store_createtime")
    private Date createTime;

    /**
     * 用途，现在是店铺列表的首页
     */
    @Field(value = "store_usefor")
    private String useFor;

    /**
     * 管理店铺的类型，例如是用于优秀供应商，
     * 销售列表供应商，新入住供应商。
     */
    @Field(value = "store_cmstype")
    private String cmsType;

    /**
     * 店铺的UUID
     */
    @Field(value = "store_uuid")
    private String storeid;

    /**
     * 相应店铺的排序号
     */
    @Field(value = "store_num")
    private int num;

    public StoreCms() {
    }

    public Long getEnuu() {
        return enuu;
    }

    public StoreCms setEnuu(Long enuu) {
        this.enuu = enuu;
        return this;
    }

    public String getEnterName() {
        return enterName;
    }

    public StoreCms setEnterName(String enterName) {
        this.enterName = enterName;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public StoreCms setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getImg() {
        return img;
    }

    public StoreCms setImg(String img) {
        this.img = img;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StoreCms setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public String getUserFor() {
        return useFor;
    }

    public StoreCms setUserFor(String userFor) {
        this.useFor = userFor;
        return this;
    }

    public String getCmsType() {
        return cmsType;
    }

    public StoreCms setCmsType(String cmsType) {
        this.cmsType = cmsType;
        return this;
    }

    public int getNum() {
        return num;
    }

    public StoreCms setNum(int num) {
        this.num = num;
        return this;
    }

    public String getId() {
        return id;
    }

    public StoreCms setId(String id) {
        this.id = id;
        return this;
    }

    public String getSubjectCategory() {
        return subjectCategory;
    }

    public StoreCms setSubjectCategory(String subjectCategory) {
        this.subjectCategory = subjectCategory;
        return this;
    }

    public String getSubjectBrand() {
        return subjectBrand;
    }

    public StoreCms setSubjectBrand(String subjectBrand) {
        this.subjectBrand = subjectBrand;
        return this;
    }

    public String getUseFor() {
        return useFor;
    }

    public StoreCms setUseFor(String useFor) {
        this.useFor = useFor;
        return this;
    }

    public String getStoreid() {
        return storeid;
    }

    public StoreCms setStoreid(String storeid) {
        this.storeid = storeid;
        return this;
    }

    public String toJson() {
        return JacksonUtils.toJson(this);
    }
}
