package com.uas.cloud.mall.service.repository;

import com.uas.cloud.mall.service.domain.StoreCms;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StoreCmsRepository extends MongoRepository<StoreCms, Long> {

	/**
	 * 根据 以下两个参数获取StoreCms
	 * @param useFor 用途
	 * @param cmsType 店铺的类型
	 * @return List<StoreCms>
	 */
	List<StoreCms> findByUseForAndCmsType(String useFor, String cmsType);

	/**
	 * 根据用途和内容类型以及店铺UUID查询店铺的内容信息
	 *
	 * @param useFor	用途
	 * @param cmsType	类型
	 * @param storeid	店铺UUID
	 */
	List<StoreCms> findByUseForAndCmsTypeAndStoreid(String useFor, String cmsType, String storeid);
}
