package com.uas.cloud.mall.service.service;

import com.uas.cloud.mall.service.domain.Content;

import java.util.List;

public interface ContentService {

	/**
	 * 新增或修改内容信息
	 *
	 * @param content	待持久化的内容
	 */
	Content saveContent(Content content);

	/**
	 * 根据内容主键ID删除内容
	 *
	 * @param id    内容主键ID
	 */
	Content deleteContent(String id);

	/**
	 * 根据模块名称获取内容列表信息
	 *
	 * @param moduleName	模板名称
	 */
	List<Content> findByModuleName(String moduleName);

}
