package com.uas.cloud.mall.service.service;

import com.uas.cloud.mall.service.domain.StoreCms;
import com.uas.cloud.mall.service.statusAndType.PageForType;
import com.uas.cloud.mall.service.statusAndType.StoreCmsType;

import java.util.List;

public interface StoreCmsService {

    /**
     * 更新某一类型的店铺内容
     * @param storeCmses
     * @return
     */
    List<StoreCms> updateStoreCmss(List<StoreCms> storeCmses);

    /**
     * 更新指定的StoreCms的类型
     * @param storeCms
     * @return StoreCms
     */
    StoreCms updateStoreCm(StoreCms storeCms);


    /**
     * 获取某一用途、某一类型的StoreCms
     * @param useFor 指用于那个界面，
     * @param cmsType   什么类型的店铺
     * @return List<StoreCms>
     */
    List<StoreCms> getStoreCmsByUseForAndCmsType(String useFor, String cmsType);

    /**
     * 批量添加某一页面的某种内容
     *
     * @param storeCmsList      商城店铺相关内容列表
     * @param useFor            内容呈现页面
     * @param cmsType           内容类型
     */
    List<StoreCms> batchAddOneTypeStoreCms(List<StoreCms> storeCmsList, PageForType useFor, StoreCmsType cmsType);

    /**
     * 添加一条某一页面的某种内容
     *
     * @param storeCms      商城店铺相关内容
     * @param useFor        内容呈现页面
     * @param cmsType       内容类型
     */
    StoreCms addOneTypeStoreCms(StoreCms storeCms, PageForType useFor, StoreCmsType cmsType);
}
