package com.uas.cloud.mall.service.service.impl;

import com.uas.cloud.mall.service.domain.Content;
import com.uas.cloud.mall.service.repository.ContentRepository;
import com.uas.cloud.mall.service.service.ContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.Collections;
import java.util.List;

@Service
public class ContentServiceImpl implements ContentService {

	private final ContentRepository contentDao;

	@Autowired
	public ContentServiceImpl(ContentRepository contentDao) {
		this.contentDao = contentDao;
	}

	@Override
	public Content saveContent(Content content) {
		if (content == null) {
			return null;
		}
		return contentDao.save(content);
	}

	@Override
	public Content deleteContent(String id) {
		if (StringUtils.isEmpty(id)) {
			return null;
		}
		Content content = contentDao.findOne(id);
		contentDao.delete(id);
		return content;
	}

	@Override
	public List<Content> findByModuleName(String moduleName) {
		if (StringUtils.isEmpty(moduleName)) {
			return Collections.emptyList();
		}
		return contentDao.findByModuleName(moduleName);
	}
}
