package com.uas.cloud.mall.service.util;

import org.codehaus.jettison.json.JSONException;
import org.codehaus.jettison.json.JSONObject;

import java.io.*;
import java.util.UUID;

/**
 * 通用工具类
 *
 * history:
 * Created by huxz on 2017-2-25 11:54:42
 */
public class CommonUtils {

	/**
	 * 生成UUID
	 */
	public static String GenerateUUid() {
		String uuid = UUID.randomUUID().toString();
		return uuid.replace("-", "");
	}

	/**
	 * 获取配置信息
	 *
	 * @param realPath	静态资源的实际位置
	 * @param filePath	配置文件的位置
	 */
	public static JSONObject obtainProfile(String realPath, String filePath) {
		BufferedReader reader = null;
		try {
			reader = new BufferedReader(new FileReader(new File(realPath, filePath)));
			StringBuilder builder = new StringBuilder();
			String line;
			while ((line = reader.readLine()) != null) {
				builder.append(line);
			}
			return new JSONObject(builder.toString());
		} catch (IOException | JSONException e) {
			e.printStackTrace();
		} finally {
			if (reader != null) {
				try {
					reader.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
		return null;
	}
}
