package com.uas.cloud.mall.service.service;

import com.uas.cloud.mall.service.BaseApplication;
import com.uas.cloud.mall.service.domain.StoreCms;
import com.uas.cloud.mall.service.statusAndType.PageForType;
import com.uas.cloud.mall.service.statusAndType.StoreCmsType;
import com.uas.cloud.mall.service.util.CommonUtils;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StoreCmsServiceTest extends BaseApplication {

    @Autowired
    private StoreCmsService storeCmsService;

    @Test
    public void updateStoreCmss() throws Exception {

    }

    @Test
    public void updateStoreCm() throws Exception {

    }

    @Test
    public void getStoreCmsByUseForAndCmsType() throws Exception {
        List<StoreCms> cmsList = storeCmsService.getStoreCmsByUseForAndCmsType(PageForType.STORE_LIST.name(), StoreCmsType.EXCELLENT_SALE_STORE.name());
        showResult(cmsList);
    }

    @Test
    public void batchAddOneTypeStoreCms() throws Exception {
        List<StoreCms> storeCmsList = new ArrayList<>();
        for (int i = 0; i < 5; i++) {
            StoreCms cms = new StoreCms();
            cms.setEnuu(i * 9L);
            cms.setEnterName("Store" + Integer.toString(i));
            cms.setDescription("Description" + Integer.toString(i));
            cms.setUseFor(PageForType.STORE_LIST.name());
            cms.setCmsType(StoreCmsType.TEST_CMS_BATCH.name());
            cms.setStoreid(CommonUtils.GenerateUUid());
            cms.setCreateTime(new Date());
            storeCmsList.add(cms);
        }
        storeCmsList = storeCmsService.batchAddOneTypeStoreCms(storeCmsList, PageForType.STORE_LIST, StoreCmsType.TEST_CMS_BATCH);
        showResult(storeCmsList);


    }

    private void showResult(List<StoreCms> storeCmsList) {
        for (StoreCms cms : storeCmsList) {
            System.out.println(cms.toJson());
        }
    }

    private void showResult(StoreCms storeCms) {
        System.out.println(storeCms.toJson());
    }

}